Skip to content

Users

GET
/v1/user
curl --request GET \
--url 'https://api-admin.billz.ai/v1/user?page=1&limit=1000&type=-1&force_roles=false' \
--header 'Authorization: Bearer <token>' \
--header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'

Error codes: 400 — input validation error; 401, 403, 429, 500 — shared by all methods. Body formats and semantics: Response codes and errors.

page
integer format: int32
default: 1

Not a number -> 400. Too large a value — 400, error_code=138

limit
integer format: int32
default: 10

Not a number -> 400. Too large a value — 400, error_code=138

Example
1000
type
integer format: int32
default: -1

-1 — all, 1 — regular, 2 — integration

search
string

Limited in length; too long a string — 400, error_code=139

status_ids
Array<string>

By default — active and invited. The number of items is limited

shop_ids
Array<string>

The number of elements is limited

role_ids
Array<string>

The number of elements is limited

show_sellers
boolean

String true

force_roles
boolean

Return roles for integration users

sort_field
string

Applied only together with sort_direction

sort_direction
string

Asc|desc

platform-id
string
default: 7d4a4c38-dd84-4902-b744-0488b80a4c01

Platform identifier. A static value is used for integrations.

Successful response

Media typeapplication/json
object
current_users_count
integer format: int32
blocked_users_count
integer format: int32
deleted_users_count
integer format: int32
count
integer format: int32
users
Array<object>
object
id
string
external_id
integer format: int64
company_id
string
phone_number
string
first_name
string
last_name
string
birth_date
string
gender
string
mobile_login_allowed

Absent from the response if the value is empty

boolean
enable_max_validated_devices_limit

Absent from the response if the value is empty

boolean
max_validated_devices

Absent from the response if the value is empty

integer format: int64
status_id
string
is_active
boolean
image
string
image_url
string
is_image_avatar
boolean
language
string
theme
string
current_cashbox_id
string
current_shop_id
string
cashboxes
Array<string>
nullable
shops
Array<object>
object
id
string
shop_id
string
shop
object
name
string
roles
Array<object>
nullable
object
id
string
role_id
string
role
object
name
string
created_at
string
updated_at
string
deleted_at
integer format: int64
telegram_id
integer format: int64
props_updated
boolean
type

1 regular, 2 integration

integer format: int32
tariff_limits
object
company_tariff
string
cashbox_count
integer
products_count
integer
users_count
integer
customers_count
integer
Examplegenerated
{
"current_users_count": 1,
"blocked_users_count": 1,
"deleted_users_count": 1,
"count": 1,
"users": [
{
"id": "example",
"external_id": 1,
"company_id": "example",
"phone_number": "example",
"first_name": "example",
"last_name": "example",
"birth_date": "example",
"gender": "example",
"mobile_login_allowed": true,
"enable_max_validated_devices_limit": true,
"max_validated_devices": 1,
"status_id": "example",
"is_active": true,
"image": "example",
"image_url": "example",
"is_image_avatar": true,
"language": "example",
"theme": "example",
"current_cashbox_id": "example",
"current_shop_id": "example",
"cashboxes": [
"example"
],
"shops": [
{
"id": "example",
"shop_id": "example",
"shop": {
"name": "example"
}
}
],
"roles": [
{
"id": "example",
"role_id": "example",
"role": {
"name": "example"
}
}
],
"created_at": "example",
"updated_at": "example",
"deleted_at": 1,
"telegram_id": 1,
"props_updated": true,
"type": 1,
"tariff_limits": {
"company_tariff": "example",
"cashbox_count": 1,
"products_count": 1,
"users_count": 1,
"customers_count": 1
}
}
]
}